Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2690943007: Move stripping of debug symbols on linux behind a flag (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months ago by jochen (gone - plz use gerrit)
Modified:
5 months, 3 weeks ago
Reviewers:
Dirk Pranke, brettw
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move stripping of debug symbols on linux behind a flag BUG=603286 R=brettw@chromium.org Review-Url: https://codereview.chromium.org/2690943007 Cr-Commit-Position: refs/heads/master@{#451971} Committed: https://chromium.googlesource.com/chromium/src/+/bf73428a02025c24fb2377b234eff6ca80bfbc32

Patch Set 1 #

Total comments: 1

Patch Set 2 : updates #

Unified diffs Side-by-side diffs Delta from patch set Stats (+5 lines, -2 lines) Patch
M build/config/compiler/BUILD.gn View 1 2 chunks +4 lines, -1 line 0 comments Download
M tools/mb/mb_config.pyl View 1 1 chunk +1 line, -1 line 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_clang   linux_chromium_rel_ng   win_chromium_rel_ng   linux_chromium_tsan_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-device   ios-device-xcode-clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   ios-simulator   android_clang_dbg_recipe   linux_android_rel_ng   android_arm64_dbg_recipe   android_compile_dbg   android_n5x_swarming_rel   android_cronet   cast_shell_linux   linux_chromium_asan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   cast_shell_android   linux_chromium_rel_ng   ios-device   cast_shell_linux   android_compile_dbg   android_n5x_swarming_rel   android_cronet   win_chromium_rel_ng   android_arm64_dbg_recipe   chromium_presubmit   win_chromium_x64_rel_ng   linux_chromium_chromeos_rel_ng   ios-simulator   mac_chromium_rel_ng   android_clang_dbg_recipe   linux_android_rel_ng   linux_chromium_tsan_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   win_clang   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   cast_shell_android   ios-device-xcode-clang   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (13 generated)
jochen (gone - plz use gerrit)
6 months ago (2017-02-15 09:36:50 UTC) #1
brettw
lgtm https://codereview.chromium.org/2690943007/diff/1/build/config/compiler/BUILD.gn File build/config/compiler/BUILD.gn (right): https://codereview.chromium.org/2690943007/diff/1/build/config/compiler/BUILD.gn#newcode97 build/config/compiler/BUILD.gn:97: strip_absolute_paths_from_debug_symbols = false Can you add a comment ...
6 months ago (2017-02-15 22:48:56 UTC) #6
Dirk Pranke
No lgtm. We shouldn't land this without also landing a change to the buildbot configs ...
6 months ago (2017-02-16 03:45:06 UTC) #7
jochen (gone - plz use gerrit)
ptal
6 months ago (2017-02-16 12:33:03 UTC) #13
jochen (gone - plz use gerrit)
friendly ping
5 months, 3 weeks ago (2017-02-20 09:59:41 UTC) #14
Dirk Pranke
LGTM. I can't remember ... gn doesn't complain if you set a build arg but ...
5 months, 3 weeks ago (2017-02-21 21:22:56 UTC) #15
jochen (gone - plz use gerrit)
apparently not
5 months, 3 weeks ago (2017-02-22 08:17:50 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2690943007/20001
5 months, 3 weeks ago (2017-02-22 08:19:06 UTC) #19
commit-bot: I haz the power
5 months, 3 weeks ago (2017-02-22 10:14:52 UTC) #22
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/bf73428a02025c24fb2377b234ef...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b